
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【简评】[CVPR2017]Loss Max-Pooling for Semantic Image Segmentation / iVAN</title>

    <meta name="description" content="【简评】[CVPR2017]Loss Max-Pooling for Semantic Image Segmentation 现有方法 1.构建数据集时近似均匀地采样,保证每种类别分布较为均匀 这种方法在image-level上还比较方便操作,在semantic segmentation上难以保证 2.对minority classes进行上采样或者对majority classes进行下采样缺点: 会改变数据潜在分布 对数据不是最优利用(suboptimal exploitation),比如可能会丢掉一些majority classes的数据 增加计算成本和过拟合的风险,比如某些minority classes数据会">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【简评】[CVPR2017]Loss Max-Pooling for Semantic Image Segmentation</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>现有方法</h2>
<p>1.构建数据集时近似均匀地采样，保证每种类别分布较为均匀</p>
<ul>
<li>这种方法在image-level上还比较方便操作，在semantic segmentation上难以保证</li>
</ul>
<p>2.对minority classes进行上采样或者对majority classes进行下采样缺点：</p>
<ul>
<li>会改变数据潜在分布</li>
<li>对数据不是最优利用（suboptimal exploitation），比如可能会丢掉一些majority classes的数据</li>
<li>增加计算成本和过拟合的风险，比如某些minority classes数据会被重复利用很多次</li>
</ul>
<p>3.cost-sensitive learning</p>
<ul>
<li>现在semantic segmentation datasets增加了更多的minority classes，这使得权重的划分更复杂</li>
</ul>
<p>所以这篇文章提出了一种新的解决方法：Loss Max-Pooling</p>
<h2>主要思想</h2>
<p>1.通过pixel weighting functions自适应地对每个像素的contribution（实际展现的loss）进行re-weighting</p>
<ul>
<li>引起更高loss的像素的权重更大，这直接对潜在的类内和类间不平衡进行了补偿</li>
<li>Focus on a family of weighting functions with bounded p-norm and <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8wODFmNjUyNy05NjgwLTRiY2EtYjhkMS1mZGMyZDJjMmZhY2UucG5n.jpg">-norm</li>
</ul>
<p>2.通过普通的max-pooling在pixel-loss level上对pixel weighting function取最大</p>
<p>3.而这个最大值是传统loss（即每个像素损失的权重是相等的）的上界</p>
<h2>数学分析</h2>
<p>Standard setting</p>
<p>语义分割任务中损失公式定义如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9mNmI5NGY5Ny02ZDU5LTQ1MzgtODU0Ny03NjI0Yzk2OTMxYjUucG5n.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV82ZmQ4ZTQyMy00OTE3LTQ3YTUtODY1My1mNzU1Nzk2NjExMzEucG5n.jpg">是损失函数，<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9lYzVjMjQ2OC01MjFmLTQ5ZDYtYmNiNC1hYTI2ZTdjZTYzMWYucG5n.jpg">是正则项</p>
<p>在普通semantic segmentation中，损失又可继续写成：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV83NzZjZThjOS01ZTkzLTQxYjMtYmJlZS1jZjc5MWEwYjBjYjUucG5n.jpg"></p>
<p>其中：</p>
<ul>
<li><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV85ZjU3OWJkMi0yN2I1LTRmMzgtYjZlYy00MTY4OTQyYzZmZmQucG5n.jpg">是每个像素的损失，<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9hMDU3NWY2Ny1kMmMwLTQ3MGQtOTgyOS04YzNjM2E3NTU0OTgucG5n.jpg">是定义的求和符号</li>
<li>可见每个像素损失的权重是均匀的，这将使学习器偏向于图像中的主要部分</li>
</ul>
<p>Loss Max-Pooling</p>
<p>文章设计了一个weighting function的convex, compact的空间，<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9jM2Q1ODA0OS1iOWJkLTQxZTMtODg5Zi00ZmQ3NjEwZjAyNGMucG5n.jpg">,其中包括了均匀加权的情况，即<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV85MTk5YTA5ZC1mZTkzLTQ2NDItOWE2Yy0yMGQwNDc1MjQ4ZDIucG5n.jpg"></p>
<p>得到的损失函数如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9iNzRiZGYyYS03YWU0LTQ1Y2ItYmFmMi0xY2FjMjBmNTc0MDgucG5n.jpg"></p>
<p>之后，文章定义了一个新的损失，即对不同weighting functions下的损失取最大：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9lY2Q3MzM5OS0xMjE2LTQzM2QtODE5YS05ZTZhYmI3ZDBjY2MucG5n.jpg"></p>
<p>而这是文章中定义的所有损失函数的上界，包括传统的均匀加权的损失。文章提到这里的取最大值其实就是，max-pooling在pixel-loss level上的应用，所以这种方法才叫做 Loss Max-pooling。</p>
<p>Loss Max-Pooling的特性取决于空间<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8wYTQ2YjQwZC1iMjIzLTRlYWItYTAyZS1mYTVjZWVjZjM1ZjAucG5n.jpg">的形状。所以，文章中对空间<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV80NTUwZDc3OS01OWU5LTRmZmMtYmY5Mi03MTBkYjIyOTQ0MTUucG5n.jpg">进行了一些限定。</p>
<p>The space <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8xY2E5ZmY3ZC0wMGNjLTQwZGQtYmIxOS05YmY4NzQ1NjY2NGQucG5n.jpg"> of weighting functions</p>
<p>文章中关注的是由<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9jOWZhN2JmNS1lODNiLTRmN2ItYTJjMC1mN2I2NjQ0Y2YyMTIucG5n.jpg">范数和<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9iOWUzYjVkNS02NTIyLTQwMTAtYThmNC02MmFmNmIwNTM0ZjcucG5n.jpg">范数限定的weighting functions，这里对<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9jOWZhN2JmNS1lODNiLTRmN2ItYTJjMC1mN2I2NjQ0Y2YyMTIucG5n.jpg">范数和<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9iOWUzYjVkNS02NTIyLTQwMTAtYThmNC02MmFmNmIwNTM0ZjcucG5n.jpg">范数也进行了限定。<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8zZmVhYWI2MS1iZGRiLTQ5MDAtOWU3ZC05M2E1ODI3NGIwOTgucG5n.jpg"><br />其中，<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9mYWFiM2FkZC1kMjkzLTRjNzUtYTc3Mi1lMjRlOTkzMjA0MDgucG5n.jpg">; <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV82ZGY0NDJmMi04MzlhLTQ1MzYtYTllYy02NGZlZTk0YTIxNzUucG5n.jpg">的取值范围是<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9iYWYyNmNjMy00NzkxLTRmMzItYmNlMy02ZTMyMWU1ZjUxZWEucG5n.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9hMDYxNGJlOC05MzE3LTRjZTgtYWU0MC1mYWQyNzY5NzQyZGUucG5n.jpg"></p>
<p>Left：二维情况下<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV81NmE0YjJjZi1mM2QxLTQxYzQtYjNlZi1jMjUzY2YzZjU2YzYucG5n.jpg">的图形，其中<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8xYTVjNDQ3Zi0xYTQyLTQzYTYtYjdiNS1jYzVhYWJhM2ZhNjAucG5n.jpg"></p>
<p>Right:当<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9jMTU5YzQ1YS05YTQ4LTRmOTktODE2YS1lNTUzMzdjNDRmYzkucG5n.jpg">时的<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8wZDkwNDg0MS04ZTFkLTQzYzEtOTM0Mi1kZGIwYTk1MDI2OGIucG5n.jpg"></p>
<p>通过改变<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9jMzEyZjZlZC1lYjYwLTQ3YzYtYmU1Zi00MDdhMGQ4ODdkMmEucG5n.jpg">可以控制pixel selectivity degree of the pooling operation</p>
<p>一方面：</p>
<ul>
<li>As <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9hODA3NDY4Ny0yOGIyLTRjYzYtOWNkMi0xYjQ2M2UwNTE3MmIucG5n.jpg"> , the optimal weights will be in general concentrated around a single pixel</li>
<li>As <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV83NTA3MDkzMy03YjhlLTRlY2ItODZiNS0yYTYzNDU2MmEwYjEucG5n.jpg"> , the optimal weights will be uniformly spread across pixels</li>
</ul>
<p>另一方面：</p>
<ul>
<li><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9mNzY5ODI2MS1hZTFiLTRjZTQtYTQwZS03MjAwOThkNGM4MjAucG5n.jpg">可以通过关系，<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV81YTJiMmFiNi03MmJjLTQxYzgtOTYzZC04NmEzOWUyYmEzYjkucG5n.jpg"> 控制被optimal weighting function support的最小像素数（我的理解是，其实就是保证至少多少像素被赋予权重）</li>
</ul>
<p>可以由下面两幅图来理解：<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV84MjEwYzJlMS0yODVkLTQ3NTYtOGNkZC1lYTQ0ZWI0YmZmMmEucG5n.jpg"></p>
<p>图中选取了100个像素，同时为了可视化对像素进行了排序。</p>
<p>由左图可以看到，当<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV85ODU1ZDAzZC02YmZjLTRlOGYtYTUyZi1kNWY1MjMwYjdlMGUucG5n.jpg">接近<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8zOWY5MzUzZi0yYjgzLTQyZjgtYjk5OS03NDZlNjhkNjc1ZWIucG5n.jpg">的时候，权重变成了均匀加权（蓝色虚线）；当<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV85ODU1ZDAzZC02YmZjLTRlOGYtYTUyZi1kNWY1MjMwYjdlMGUucG5n.jpg">接近1时，权重变得很陡峭，但是<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LnpoaWh1LmNvbS9lcXVhdGlvbj90ZXg9bQ==.jpg">的限制保证了至少需要support的像素数。</p>
<p>由右图可以看出，当<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9kMTgwMzcxYy02YzVhLTRhNTEtOTAwMi0xNTg5OTYyZjliODAucG5n.jpg">时权重又变为了均匀加权（红色虚线），而每个值都对应了一段平均加权，也就说明<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV82ZjkxOWVmMS1jNWVlLTRmYzctYWE0YS1jMzJiZjc3Y2I2NjMucG5n.jpg">代表了像素共享权重的程度。</p>
<p>之后文章主要介绍了对<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV80MzIxMWMyZS1hMzYyLTQ0YzItOGIwMi04NTU3M2E3MWYzN2QucG5n.jpg">的计算，计算时采用了对偶的方式来求解，最后转化为对<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8wY2EzNTc3Ny1kOGZkLTQzZDItYTI5Mi0zN2FlNmJmNjJkNjEucG5n.jpg">和<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9kYmVkMWU1Yi0xOTYzLTRmYjEtYmJmYi01MjczMzZlYTRlMjIucG5n.jpg">的计算，具体详细证明可以请看论文。最后算法流程如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV9iNGIxMzRiZi03NzZhLTQ4MDktYmU3MC1kMGQwMDM1ZmY2MmEucG5n.jpg"></p>
<p>文中还提到了一个辅助的取样策略，综合考虑了均匀采样和模型性能。因为文中并未细说，同时也不是本文重点，所以在此不赘述了。</p>
<h2>实验结果</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc3RhdGljLmV4dHJlbWV2aXNpb24uY29tLmNuL2RvbmtleV8wNWM5Y2M2My1lZWMxLTQ3YjYtYjUzOS0xZGI1MGVmOGRhNjUucG5n.jpg"></p>
<p>LMP是Loss Max-pooling+辅助取样策略的结果；Proposed loss only是不加辅助取样策略的结果；所有结果没有使用multi-scale input和CRF做进一步优化。</p>
<p>原文发布时间为： 2017-06-15</p>
<p>本文作者：ycszen</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:05:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/image/" title="image">image</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【简评】[CVPR2017]Loss Max-Pooling for Semantic Image Segmentation的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boj38gz.html" rel="bookmark">论文笔记之：A CNN Cascade for Landmark Guided Semantic Part Segmentation</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    A CNN Cascade for Landmark Guided Semantic Part Segmentation  ECCV 2016   摘要:本文提出了一种 CNN cascade (CNN 级联)结构,根据一系列的定位(landmarks or keypoints),得到特定的 pose 信息,进行 语义 part 分割.前人有许多单独的工作,但是,貌似没有将这两个工作结合到一起,相互作用的 multi-task 的工作.本文就弥补这个缺口,提出一种 CNN cascade			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AqyVz.html" rel="bookmark">CVPR2017精彩论文解读：直接处理三维点云的深度学习模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网(公众号:雷锋网) AI 科技评论按:虽然CVPR 2017已经落下帷幕,但对精彩论文的解读还在继续.下文是Momenta高级研究员陈亮对此次大会收录的 PointNet:Deep Learning on Point Sets for 3D Classification and Segmentation  一文进行的解读. 随着激光雷达,RGBD相机等3D传感器在机器人,无人驾驶领域的广泛应用.针对三维点云数据的研究也逐渐从低层次几何特征提取( PFH, FPFH,VFH等)向高层次语义理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqAaBp.html" rel="bookmark">Facebook为CVPR2017准备了多出好戏，一起来看看&OpenCurlyDoubleQuote;节目单&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网 AI 科技评论按:计算机视觉的顶级会议 CVPR 2017 已经开始了,AI 研究巨头 Facebook 今天也发出一篇博文介绍自己都将在本届 CVPR 中展现哪些成果.博文中主要内容编译如下. 最佳 workshop 论文奖 Facebook 连接性实验室研究员 Ilke Demir.Ramesh Raskar 等人与 MIT 媒体实验室共同完成的论文「Robocodes: Towards Generative Street Addresses from Satellite Image			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVLwEb.html" rel="bookmark">深度解读：GAN模型及其在2016年度的进展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				雷锋网(公众号:雷锋网)注:本文作者杨双,于2016获中国科学院自动化研究所博士学位.现任中国科学院计算技术研究所智能信息处理重点实验室助理教授.主要研究方向包括深度学习.贝叶斯建模与推理.序列建模等. GAN,全称为Generative Adversarial Nets,直译为生成式对抗网络.它一方面将产生式模型拉回到了一直由判别式模型称霸的AI竞技场,引起了学者甚至大众对产生式模型的研究兴趣,同时也将对抗训练从常规的游戏竞技领域引到了更一般领域,引起了从学术界到工业界的普遍关注.笔者对几大会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQn4dz.html" rel="bookmark">QA Systems and Deep Learning Technologies &ndash; Part 2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Introduction This is the second article in a two part series about QA Systems and Deep Learning. You can read part 1 here. Deep Learning is a subfield of machine learning, and aims at using machines for data abstraction with the help of multiple proc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXwmAp.html" rel="bookmark">ICCV2017 论文浏览记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/bBXwmAp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzExMDcxNjIzMDEzMzY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y1hGZk1qVTRNVGs0TWpjPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				之前很早就想试着做一下试着把顶会的论文浏览一遍看一下自己感兴趣的,顺便统计一下国内高校或者研究机构的研究方向,下面是作为一个图像处理初学者在浏览完论文后的 觉得有趣的文章: ICCV2017 论文浏览记录 1.google deepmind :Look, Listen and Learn 多信息融合感觉很厉害 2.The Weizmann Institute of Science:Non-Uniform Blind Deblurring by Reblurring 非均匀盲模糊 3.中科大(微软			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJZ8o8z.html" rel="bookmark">如何利用微信监管你的TF训练</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原问题下的回答如下 不知道有哪些朋友是在TF/keras/chainer/mxnet等框架下用python撸的-.- 这可是python啊--上itchat,弄个微信号加自己为好友(或者自己发自己),训练进展跟着一路发消息给自己就好了,做了可视化的话顺便把图也一并发过来. 然后就能安心睡觉/逛街/泡妞/写答案了. 讲道理,甚至简单的参数调整都可以照着用手机来-- 大体效果如下 当然可以做得更全面一些.最可靠的办法自然是干脆地做一个http服务或者一个rpc,然而这样往往太麻烦.本着简单高效的原则			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLvwWb.html" rel="bookmark">LSF-SCNN：一种基于CNN的短文本表达模型及相似度计算的全新优化模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章是我在读期间,对自然语言处理中的文本相似度问题研究取得的一点小成果.如果你对自然语言处理 (natural language processing, NLP) 和卷积神经网络(convolutional neural network, CNN)有一定的了解,可以直接看摘要和LSF-SCNN创新与技术实现部分.如果能启发灵感,应用于更多的现实场景中带来效果提升,那才是这篇文章闪光的时刻.如果你没有接触过NLP和CNN,也不在担心,可以从头到尾听我娓娓道来.有任何问题,欢迎交流. 1. 摘要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lkndb.html" rel="bookmark">基于深度学习的智能问答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:周小强 陈清财 曾华军 1引言 纵观自动问答系统的技术发展历史,从1950年代因图灵测试而诞生至今,已经有几十年的历史.但真正在产业界得到大家的广泛关注,则得益于2011年Siri和Watson成功所带来的示范效应.自此,自动问答系统较以往任何时候都显得离实际应用更近.这一方面归功于机器学习与自然语言处理技术的长足进步,另一方面得益于维基百科等大规模知识库以及海量网络信息的出现.然而,现有的自动问答系统所面临的问题远没有完全解决.事实上,无论是业界应用还是学术研究,问句的真实意图分析.问句			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Xqdb.html" rel="bookmark" class="title">php5学习笔记&lpar;转&rpar;</a>
					<div>
						php5|笔记 作者: whhwq在phpv.net看到的感觉不错/*+---------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0adDp.html" rel="bookmark" class="title">最安全的加密算法 &lpar;摘自温少的blog&rpar;</a>
					<div>
						安全|加密|算法 在密码学里,有一种理想的加密方案,叫做一次一密乱码本(one-time pad).one-time pad的算法有以下要求:1.密钥必须随机产生2.密钥不能重复使用3.密钥和密文的长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20Rrp.html" rel="bookmark" class="title">设计观点&colon;领导的画圈艺术</a>
					<div>
						&quot;一九七九年那是一个春天,有一位老人在中国的南海边画了一个圈&quot;,看,即便伟大如邓爷爷,也被称为是&quot;中国改革开放的总设计师&quot;,我想这是&quot;设计师&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4NnAp.html" rel="bookmark" class="title">怎样对ACCESS数据库中的表进行分析和优化</a>
					<div>
						  我们先打开一个要进行分析的数据库,然后单击&quot;工具&quot;菜单上的&quot;分析&quot;选项,弹出的菜单上有&quot;表&quot;.&quot;性能&quot;和&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4YmVp.html" rel="bookmark" class="title">php的变量、函数、对象的引用</a>
					<div>
						在PHP 中引用的意思是:不同的名字访问同一个变量内容. 与C语言中的指针是有差别的．C语言中的指针里面存储的是变量的内容在内存中存放的地址 变量的引用 PHP 的引用允许你用两个变量来指向同一个内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w711p.html" rel="bookmark" class="title">MySQL如何简单的修改的端口号</a>
					<div>
						先在服务里停止mysql的服务器 再找到mysql安装目录下面的my.ini文件,把里面的端口号3306替换成其它的端口号. 重启mysql服务.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91rRkM.html" rel="bookmark" class="title">使用jQuery创建人性化的返回顶部链接</a>
					<div>
						之前写过关于创建人性化的返回顶部链接的文章,讨论了返回顶部链接需要具备哪些特点才能称得上人性化.一直以来我都觉得停留在视觉区域内的返回顶部连接更为完美一些,但由于对 javascript不熟悉,所以一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42eRqM.html" rel="bookmark" class="title">网页设计新招式 引爆网页中的视频应用</a>
					<div>
						  在网页设计中使用更多的视频,被认为是2014年的一大设计趋势.当然有一些人会坚持大量使用文本/内容,他们认为内容是网站的根基,其他人则认为需要打破传统,因为访客的好奇心是不会满足于单一的内容铺陈的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKYAaM.html" rel="bookmark" class="title">win8系统硬盘怎么分区</a>
					<div>
						  今天,小编就整理了一下图片与文字为大家带来win8系统硬盘分区的图文教程.在win8硬盘分区操作之前,先要规划好分几个区,哪个区分多少空间,否则会走弯路. win8系统硬盘分区的具体操作如下: 压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7rvAM.html" rel="bookmark" class="title">蓝屏代码0X0000007B的解决办法</a>
					<div>
						先要分析造成蓝屏的主要原因,如果是蓝屏代码0X0000007B的话,问题就出现系统分区或者是启动卷上面,造成系统分区和启动卷无法访问的话有分为几种情况: 首先第一种是新旧主板上的第一次交替使用,初始化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY3mrb.html" rel="bookmark" class="title">Win7系统无法修改硬盘分区名称怎么办？</a>
					<div>
						  1.WIN+R打开运行窗口,输入regedit,打开注册表编辑器; 2.在注册表中找到下列路径: [HKEY_LOCAL_MACHINESOFTWAREMicrosoftWindowsCurren ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ8NJz.html" rel="bookmark" class="title">c&plus;&plus; 、eigen-C&plus;&plus;开源矩阵计算工具Eigen</a>
					<div>
						问题描述 C++开源矩阵计算工具Eigen 请问如何用Eigen创建未知大小的矩阵?例如创建n*2 的矩阵,在程序运行过程中随时拓展矩阵大小. 解决方案 Eigen: C++开源矩阵计算工具--Eig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Q9Ab.html" rel="bookmark" class="title">c&plus;&plus; builder-在C&plus;&plus; builder中，怎样使用静态的方式连接动态链接库</a>
					<div>
						问题描述 在C++ builder中,怎样使用静态的方式连接动态链接库 在C++ builder中,怎样使用静态的方式连接动态链接库,即我有一个动态链接库是用来做数据库连接的,现在我希望在程序一运行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW21AEb.html" rel="bookmark" class="title">Mysql数据库的导入和导出的测试</a>
					<div>
						   今天,在准备测试环境的时间,需要将之前的老库下的数据迁移到新的服务器上.由于之前没怎么接触Mysql,拿到这个需求的时候,我第一反应是应该有类似与Sql server里面的数据库导入导出的一个功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV543b.html" rel="bookmark" class="title">php-return  &amp;amp&semi;amp&semi;lt&semi;&amp;amp&semi;amp&semi;lt&semi;&amp;amp&semi;amp&semi;lt&semi;html  这段代码是什么意思？</a>
					<div>
						问题描述 return &lt;&lt;&lt;html 这段代码是什么意思? public static function buildFullPage($data){ $sections = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwOLAM.html" rel="bookmark" class="title">如何获得一组已经安装的android应用程序然后选择一个运行？</a>
					<div>
						问题描述 如何获得一组已经安装的android应用程序然后选择一个运行? 我已经试了: Intent intent = new Intent(ACTION_MAIN); intent.addCateg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr0aNM.html" rel="bookmark" class="title">游戏引擎-虚幻4导入的模型怎么改碰撞体积？</a>
					<div>
						问题描述 虚幻4导入的模型怎么改碰撞体积? 我做了一面带洞的墙,又做了一个门框,导到虚幻4编辑器里,play的时候角色不能穿过门. 打开导入的材质,发现整个门框都被一个大框子框在里面,我猜应该是导入时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rmVKp.html" rel="bookmark" class="title">2016 Gartner新兴科技技术成熟度曲线显示三大关键趋势</a>
					<div>
						全球领先的信息技术研究和顾问公司Gartner近日公布了2016年新兴科技技术成熟度曲线(Hype Cycle for Emerging Technologies, 2016),其中特别指出三大科技趋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlQNep.html" rel="bookmark" class="title">网站提供链接时 比&OpenCurlyDoubleQuote;点击此处&rdquo;更好的说法是什么&quest;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 你肯定有过这样的经历,希望你的用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod2QgM.html" rel="bookmark" class="title">什么是rss&quest;rss由来 历史 应用</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 近来一直有朋友询问RSS的问题,在此我做一个全面的回答.希望能给对rss还有各种疑问的朋友,有所帮助. 我们先来说说RSS的由来 RSS是一种起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBBANM.html" rel="bookmark" class="title">【数据蒋堂】列式存储的另一面</a>
					<div>
						列存是常见的数据存储技术,在许多场景下也确实很有效,因而也被不少数据仓库类产品采用,在业内列存也常常就意味着高性能. 可是,列存真有这么好吗?搜索一下,容易找到的列存缺点一般是针对数据修改的,而对于只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnQLWM.html" rel="bookmark" class="title">求大神指教。在线等呀。 C&num; 生成PPT 使用TextRange 添加文字内容，文字内容最前面会出现个标题点，怎么把这个点去掉？</a>
					<div>
						问题描述 C#生成PPT使用TextRange添加文字内容,文字内容最前面会出现个标题点,怎么把这个点去掉?求大神指教.在线等呀. 解决方案 解决方案二: 解决方案三:那个该不会是空格或者缩进吧解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodgdjM.html" rel="bookmark" class="title">startup sh-mac tomcat startup&period;sh 问什么显示是纯文本文件，怎么启动呢</a>
					<div>
						问题描述 mac tomcat startup.sh 问什么显示是纯文本文件,怎么启动呢 mac tomcat startup.sh 问什么显示是纯文本文件,怎么启动呢 解决方案 脚本程序,所以是文本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy1g6z.html" rel="bookmark" class="title">java 泛型方法-泛型方法如何定义，各个部分起什么作用</a>
					<div>
						问题描述 泛型方法如何定义,各个部分起什么作用 public static &gt; T max(Collection&lt;? extends T&gt; coll) 我想知道&gt;再这里起什么作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj2N8M.html" rel="bookmark" class="title">专家称三网融合简单双向进入会加剧垄断</a>
					<div>
						据新华社深圳4月5日电 经历了10多年的争论后,在政府的强力推动下,互联网.电信网和广电网的 三网融合在今年全面提速.据悉,三网融合试点方案将在5月出台. 长期以来,电信网.广电网和互联网在国内是分离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrjROp.html" rel="bookmark" class="title">全省网络侵权案件明显呈上升趋势</a>
					<div>
						5月2日,记者从省高级人民http://www.aliyun.com/zixun/aggregation/4522.html&quot;&gt;法院获悉,伴随着互联网产业的不断发展升级,全省网络侵权案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn885jb.html" rel="bookmark" class="title">WWW 与人际沟通和信息传递的关系&lowbar;与客户沟通</a>
					<div>
						第二部份]:浅谈人类认知的过程与视觉传达的基本概念 一:认知心理学的定义 由于多媒体制作要在计算机屏幕上呈现视觉画面.因此一方面观者要学习从计算机画面上看见讯息:另一方面多媒体制作者要了解观者的「看见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkPkOp.html" rel="bookmark" class="title">在ASP&period;NET中连接SQL Server的简单方法&lowbar;实用技巧</a>
					<div>
						首先导入名字空间:System.Data和System.Data.SqlClient．详细代码看源程序． 复制代码 代码如下: &lt;%@ Import Namespace=&quot;System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QJ0ap.html" rel="bookmark" class="title">360手机卫士斩获中国国际软件博览会金奖</a>
					<div>
						第十七届中国国际软件博览会日前在北京拉开帷幕,此次博览会由工信部.国家发改委.科技部等联合主办,中国软件行业协会承办.在软博会中,360公司旗下360手机卫士凭借强大的功能设置及对骚扰信息的有效拦截, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdme0dz.html" rel="bookmark" class="title">mysql存储过程中（varchar）变量的问题</a>
					<div>
						问题描述 DELIMITER $$DROP PROCEDURE IF EXISTS `codebush`.`sp_truncate_all_table` $$CREATE PROCEDURE `sp_ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
